Pulse IntelligenceAPI Docs

List filters for a resource

Return the filterable fields and columns available for a resource — the same field set its search endpoint accepts.

GET
/v1/filters/{resource}/

Authorization

apiKeyAuth
AuthorizationBearer <token>

Organization API key, format pulse_<prefix>_<secret>. Created by an organization admin in Settings -> API Keys.

In: header

Path Parameters

resource*string

The resource to describe filters for.

Value in

  • "companies"
  • "mining-assets"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/filters/companies/"
{  "resource": "string",  "filters": [    {      "field": "string",      "operators": [        "string"      ],      "type": "string",      "unit": "string",      "options_endpoint": "string",      "label": "string"    }  ],  "columns": [    {      "key": "string",      "title": "string",      "type": "string",      "sortable": true    }  ]}